// Affichage des donnes

   // Effacement de l'cran
   clear_to_color(screen, makecol(150, 150, 150));

   // Contours des fenetres hud et de donnes
   line (screen, hud_w, 0, hud_w, SCREEN_H, palette_color[0]);
   line (screen, 0, hud_h, hud_w, hud_h, palette_color[0]);

   // Contours des indicateurs du hud
   line (screen, 0, hud_h/2, hud_w, hud_h/2, palette_color[0]);
   line (screen, hud_w/2, hud_h/2, hud_w/2, hud_h, palette_color[0]);

   // cercles du roll et du cap
   circle (screen, hud_w/3, hud_h/4, hud_w/4, palette_color[0]);
   circle (screen, hud_w/3, hud_h/4, (2*hud_w/12), palette_color[0]);
   // Graduations du cap
   line (screen, hud_w/3, hud_h/4-hud_w/5, hud_w/3, hud_h/4-hud_w/4, palette_color[0]);
   line (screen, hud_w/3+hud_w/5, hud_h/4, hud_w/3+hud_w/4, hud_h/4, palette_color[0]);
   line (screen, hud_w/3, hud_h/4+hud_w/5, hud_w/3, hud_h/4+hud_w/4, palette_color[0]);
   line (screen, hud_w/3-hud_w/5, hud_h/4, hud_w/3-hud_w/4, hud_h/4, palette_color[0]);

   // Indicateur de roll
   line (screen, (int)(hud_w/3-hud_w*cos(roll*deg_rad)/6),(int)(hud_h/4-hud_w*sin(roll*deg_rad)/6),(int)(hud_w/3+hud_w*cos(roll*deg_rad)/6),(int)(hud_h/4+hud_w*sin(roll*deg_rad)/6),palette_color[0]);
   line (screen, (hud_w/3), (hud_h/4), (int)(hud_w/3 + 15*sin(roll*deg_rad)), (int)(hud_h/4-15*cos(roll*deg_rad)),palette_color[0]);

   // Affichage littrale du roll
   textout_centre(screen, font, "ROLL", hud_w/3, (hud_h/4)+16, palette_color[255]);
   textprintf_centre(screen, font, hud_w/3,(hud_h/4)+24, palette_color[255], "%.1f", roll);

   // Indicateur des yaw et desired yaw
   line (screen, (int)(hud_w/3+hud_w*sin(yaw*deg_rad)/6), (int)(hud_h/4-hud_w*cos(yaw*deg_rad)/6), (int)(hud_w/3+hud_w*sin(yaw*deg_rad)/4), (int)(hud_h/4-hud_w*cos(yaw*deg_rad)/4), palette_color[0]);
   line (screen, (int)(hud_w/3+hud_w*sin(des_yaw*deg_rad)/6), (int)(hud_h/4-hud_w*cos(des_yaw*deg_rad)/6), (int)(hud_w/3+hud_w*sin(des_yaw*deg_rad)/5), (int)(hud_h/4-hud_w*cos(des_yaw*deg_rad)/5), palette_color[0]);

   // Affichage littrale du yaw
   textout_centre(screen, font, "YAW", hud_w/3, hud_h/4-hud_w/5-8, palette_color[255]);
   textprintf_centre(screen, font, hud_w/3, hud_h/4-hud_w/5, palette_color[255], "%.1f", yaw);

   // cercle de la vitesse
   circle (screen, hud_w/4, (3*hud_h/4), hud_w/6, palette_color[0]);
   // Graduations du compteur de vitesse
   line (screen, hud_w/4, 3*hud_h/4-hud_w/9, hud_w/4, 3*hud_h/4-hud_w/6, palette_color[0]);
   line (screen, hud_w/4+hud_w/9, 3*hud_h/4, hud_w/4+hud_w/6, 3*hud_h/4, palette_color[0]);
   line (screen, hud_w/4, 3*hud_h/4+hud_w/9, hud_w/4, 3*hud_h/4+hud_w/6, palette_color[0]);
   line (screen, hud_w/4-hud_w/9, 3*hud_h/4, hud_w/4-hud_w/6, 3*hud_h/4, palette_color[0]);

   // Titre de la vitesse :
   textout_centre(screen, font, " SPEED :", hud_w/4,(int)(.5*(5*hud_h/4-hud_w/6)), palette_color[255]);

   // Indicateur de vitesse
      line (screen, hud_w/4, 3*hud_h/4, hud_w/4+(int)(hud_w*sin(speed*deg_rad*360./max_spd)/6), 3*hud_h/4-(int)(hud_w*cos(speed*deg_rad*360./max_spd)/6), palette_color[0]);

   // Indication chiffre de la vitesse :
   textprintf_centre(screen, font, hud_w/4,(int)(.5*(7*hud_h/4+hud_w/6)), palette_color[255], "%.2f Kph", speed);

   // cercle de l'altitude
   circle (screen, (3*hud_w/4), (3*hud_h/4), hud_w/6, palette_color[0]);
   // Graduations du compteur d'altitude
   line (screen, 3*hud_w/4, 3*hud_h/4-hud_w/9, 3*hud_w/4, 3*hud_h/4-hud_w/6, palette_color[0]);
   line (screen, 3*hud_w/4+hud_w/9, 3*hud_h/4, 3*hud_w/4+hud_w/6, 3*hud_h/4, palette_color[0]);
   line (screen, 3*hud_w/4, 3*hud_h/4+hud_w/9, 3*hud_w/4, 3*hud_h/4+hud_w/6, palette_color[0]);
   line (screen, 3*hud_w/4-hud_w/9, 3*hud_h/4, 3*hud_w/4-hud_w/6, 3*hud_h/4, palette_color[0]);

   // Titre de l'altitude :
   textout_centre(screen, font, " ALTITUDE :", 3*hud_w/4,(int)(.5*(5*hud_h/4-hud_w/6)), palette_color[255]);

   // Indicateur d'altitude
   line (screen, 3*hud_w/4, 3*hud_h/4, 3*hud_w/4+(int)(hud_w*sin(alt*deg_rad*360./100.)/6), 3*hud_h/4-(int)(hud_w*cos(alt*deg_rad*360./100.)/6), palette_color[0]);

   // Indication chiffre de l'altitude :
   textprintf_centre(screen, font, 3*hud_w/4,(int)(.5*(7*hud_h/4+hud_w/6)), palette_color[255], "%.2f M", alt);

   // lignes du pitch
   line (screen, (3*hud_w/4), (hud_h/4-hud_w/4), (3*hud_w/4), (hud_h/4+hud_w/4), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4), (3*hud_w/4), (hud_h/4), palette_color[0]);

   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)45.*hud_w/180), (3*hud_w/4), (hud_h/4-(int)45.*hud_w/180), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)30.*hud_w/180), (3*hud_w/4), (hud_h/4-(int)30.*hud_w/180), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)15.*hud_w/180), (3*hud_w/4), (hud_h/4-(int)15.*hud_w/180), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)(-15.)*hud_w/180), (3*hud_w/4), (hud_h/4-(int)(-15.)*hud_w/180), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)(-30.)*hud_w/180), (3*hud_w/4), (hud_h/4-(int)(-30.)*hud_w/180), palette_color[0]);
   line (screen, (3*hud_w/4-15),  (hud_h/4-(int)(-45.)*hud_w/180), (3*hud_w/4), (hud_h/4-(int)(-45.)*hud_w/180), palette_color[0]);

   // Affichage littrale du pitch
   textout_centre(screen, font, "PITCH", (3*hud_w/4+15+hud_w)/2, (hud_h/4)-8, palette_color[255]);
   textprintf_centre(screen, font, (3*hud_w/4+15+hud_w)/2,(hud_h/4), palette_color[255], "%.1f", pitch);

   // Indicateur de pitch
   if (pitch<45. && pitch>-45)
      line (screen, (3*hud_w/4), (hud_h/4-(int)pitch*hud_w/180), (3*hud_w/4+15), (hud_h/4-(int)pitch*hud_w/180),palette_color[0]);
   if (pitch < -45.)
      line (screen, (3*hud_w/4),  (hud_h/4+hud_w/4), (3*hud_w/4+15), (hud_h/4+hud_w/4), palette_color[0]);
   if (pitch > 45.)
      line (screen, (3*hud_w/4),  (hud_h/4-hud_w/4), (3*hud_w/4+15), (hud_h/4-hud_w/4), palette_color[0]);

   // Donnes littrales
   if (pil_auto==2)
      textout_centre(screen, font, " U.A.V. Data : AUTOPILOT", hud_w/2, hud_h+hud_h/11, palette_color[255]);
   if (pil_auto==1)
      textout_centre(screen, font, " U.A.V. Data : MANU STABIL.", hud_w/2, hud_h+hud_h/11, palette_color[255]);
   if (pil_auto==0)
      textout_centre(screen, font, " U.A.V. Data : MANU BI-DIR", hud_w/2, hud_h+hud_h/11, palette_color[255]);
   if (pil_auto==-1)
      textout_centre(screen, font, " U.A.V. Data : MANU MONO-DIR", hud_w/2, hud_h+hud_h/11, palette_color[255]);

   textprintf(screen, font, hud_w/10,hud_h+2*hud_h/11, palette_color[255], "Waypoint : %d", wpt);
   textprintf(screen, font, hud_w/10,hud_h+3*hud_h/11, palette_color[255], "Desired Yaw (deg): %.1f", des_yaw);
   textprintf(screen, font, hud_w/10,hud_h+4*hud_h/11, palette_color[255], "Waypoint Distance (m): %.1f", wpt_dist);
   textprintf(screen, font, hud_w/10,hud_h+5*hud_h/11, palette_color[255], "U.A.V. Latitude (deg): %.5f", uav_lat);
   textprintf(screen, font, hud_w/10,hud_h+6*hud_h/11, palette_color[255], "U.A.V. Longitude (deg): %.5f", uav_long);
   textprintf(screen, font, hud_w/10,hud_h+7*hud_h/11, palette_color[255], "Gaz Commande (deg): %.1f", z_com);
   textprintf(screen, font, hud_w/10,hud_h+8*hud_h/11, palette_color[255], "Prof Commande (deg): %.1f", y_com);
   textprintf(screen, font, hud_w/10,hud_h+9*hud_h/11, palette_color[255], "Elevons Commande (deg): %.1f", x_com);
/*   textprintf(screen, font, hud_w/10,hud_h+10*hud_h/11, palette_color[255], "Rudder Commande (deg): %.1f", d_com);*/

   // Affichage dans le "MAP SCREEN"

   // Calcul des donnes
   lat2 = uav_lat;
   lon2 = uav_long;
      dist = 2.0 * asin(sqrt( sin((lat1 *pi/180.0-lat2*pi/180.0)/2.0)*sin((lat1*pi/180.0-lat2*pi/180.0)/2.0) + cos(lat1*pi/180.0)*cos(lat2*pi/180.0)*sin((lon1*pi/180.0-lon2*pi/180.0)/2.0)*sin((lon1*pi/180.0-lon2*pi/180.0)/2.0) ));

      if (sin(lon2*pi/180.0-lon1*pi/180.0)>0.0)
         tc=acos((sin(lat2*pi/180.0)-sin(lat1*pi/180.0)*cos(dist))/(sin(dist)*cos(lat1*pi/180.0)));
      else
          tc=2*pi-acos((sin(lat2*pi/180.0)-sin(lat1*pi/180.0)*cos(dist))/(sin(dist)*cos(lat1*pi/180.0)));

      dist = (180.0*60.0/pi) * dist*1852.0;

   // Affichage des donnes
   if (dist/scale > SCREEN_W/3)
      line (screen, 2*SCREEN_W/3, SCREEN_H/2, (int)(2*SCREEN_W/3 + sin(tc)*SCREEN_W/3), (int)(SCREEN_H/2 - cos(tc)*SCREEN_W/3), palette_color[0]);
   else
      line (screen, 2*SCREEN_W/3, SCREEN_H/2, (int)(2*SCREEN_W/3 + sin(tc)*dist/scale), (int)(SCREEN_H/2 - cos(tc)*dist/scale), palette_color[0]);

   // Affichage de la distance de l'UAV
   textprintf_centre (screen, font, 2*SCREEN_W/3,SCREEN_H - 30, palette_color[255], "UAV Distance (m): %.1f", dist);
