#include "allegro.h"

void init() {
	int depth, res;
	allegro_init();
	depth = desktop_color_depth();
	if (depth == 0) depth = 32;
	set_color_depth(depth);
	res = set_gfx_mode(GFX_AUTODETECT_WINDOWED, 800, 600, 0, 0);
	if (res != 0)
    {
		allegro_message(allegro_error);
		exit(-1);
	}

  set_window_title("LVsim");

	install_timer();
	install_keyboard();
	install_mouse();
	/* add other initializations here */
	
// Screen clear
   clear_to_color(screen, makecol(0, 0, 0));   
}

void deinit() {
	clear_keybuf();
	/* add other deinitializations here */
}
