#include <stdio.h>
#include <allegro.h>

#include "var_init.h"
#include "var.h"
#include "init.h"
#include "mass.h"
#include "air_dens.h"
#include "dyn.h"
#include "scrn.h"
#include "ctes.h"

void init();
void deinit();

int main()
{
// Telemetry file creation
   FILE *data;
   data = fopen ("data.txt","w");
   fprintf (data,"t :, mass :, angle :, AOA :, ax :, az :, speedx :, speedz :, x :, alti : \n");
   
// Datas entry
    var_init();
        system("PAUSE");   
        
    init();
        
	while ((alt[bu_st]>-1000)&&(!key[KEY_ESC]))
{
             
// Time
t=t+dt;

// Calculation of the rocket mass
   mass();
// Calculation of the air density 
   air_dens();
// Dynamics calculations
   dyn();
   
   scrn();

// Telemetry datas to file
fprintf (data,"%.1f,%.1f,%.1f,%.1f,%.1f,%.1f,%.1f,%.1f,%.1f,%.1f\n",t,m,tangle[bu_st]*180./pi,pitch-tangle[bu_st]*180./pi,ax[bu_st],az[bu_st],speedx[bu_st],speedz[bu_st],x[bu_st],alt[bu_st]);

// wait (Allegro fonction)
if (tim==1)
   rest (999.*dt);

};
	deinit();
	return 0;
}
END_OF_MAIN();
