#include <allegro.h>
#include "e_var.h"
#include "ctes.h"

void mass()
{
float tmp_m;
int i;

if((bu_st)<=(st_nb))
{
// Burned propellent during dt
tmp_m = (th[bu_st]/(isp[bu_st]*9.81))*dt;

// Total burned propellent of this stage
   mbc[bu_st]=mbc[bu_st]+ tmp_m;

// New rocket mass
   m = m - tmp_m;
};

// If all stage propellent burned, separation and new stage ignition, 
if((mbc[bu_st]>=mc[bu_st])&&((bu_st)<=(st_nb)))
                         {
                         bu_st=bu_st+1;
                         m=0.;
                         for (i=bu_st; i<=st_nb+1; i++)
                             m = m + mc[i] + ms[i];
                         };
if((bu_st)>(st_nb)&&(ct==0))
                   {
                   ct=ct+1;
                   // mass is payload mass
                   m = ms[st_nb+1];
                   // Text screen clear
                   rectfill(screen, 0,0, 800, 600, makecol(0, 0, 0));                   
                   // The Earth
                   circlefill(screen, 400., 400., (150.*6378000./21000000./*7000000.*/), makecol(100, 100, 200));                              
                   };
}
