#include <allegro.h>
#include "e_var.h"
#include "ctes.h"

void scrn()
{ 
int i;
 
// Text screen clear
rectfill(screen, 0,0, 300, 270, makecol(0, 0, 0));

// Screen
#ifdef LINUX
   textprintf(screen, font, 1, 20, makecol(255, 100, 200), "Time            : %.1f s", t);
   textprintf(screen, font, 1, 40, makecol(255, 100, 200), "Stage           : %d th stage", bu_st);
   textprintf(screen, font, 1, 60, makecol(255, 100, 200), "Mass            : %.1f kg", m);
   textprintf(screen, font, 1, 80, makecol(255, 100, 200), "Pitch           : %.1f deg", pitch);
   textprintf(screen, font, 1, 100, makecol(255, 100, 200),"Traj. angle     : %.1f deg", tangle[bu_st]*180./pi);
   textprintf(screen, font, 1, 120, makecol(255, 100, 200),"AOA             : %.1f deg", pitch-tangle[bu_st]*180./pi);
   textprintf(screen, font, 1, 140, makecol(255, 100, 200),"Acceleration Ox : %.1f m/s", ax[bu_st]);
   textprintf(screen, font, 1, 160, makecol(255, 100, 200),"Acceleration Oz : %.1f m/s", az[bu_st]);
   textprintf(screen, font, 1, 180, makecol(255, 100, 200),"Speed Ox        : %.1f m/s", speedx[bu_st]);
   textprintf(screen, font, 1, 200, makecol(255, 100, 200),"Speed Oz        : %.1f m/s", speedz[bu_st]);
   textprintf(screen, font, 1, 220, makecol(255, 100, 200),"X coordinate    : %.1f m", x[bu_st]);
   textprintf(screen, font, 1, 240, makecol(255, 100, 200),"Y coordinate    : %.1f m", y[bu_st]);
   textprintf(screen, font, 1, 260, makecol(255, 100, 200),"Altitude        : %.1f m", alt[bu_st]);
#else
   textprintf_ex(screen, font, 1, 20, makecol(255, 100, 200),-1, "Time            : %.1f s", t);
   textprintf_ex(screen, font, 1, 40, makecol(255, 100, 200),-1, "Stage           : %d th stage", bu_st);
   textprintf_ex(screen, font, 1, 60, makecol(255, 100, 200),-1, "Mass            : %.1f kg", m);
   textprintf_ex(screen, font, 1, 80, makecol(255, 100, 200),-1, "Pitch           : %.1f deg", pitch);
   textprintf_ex(screen, font, 1, 100, makecol(255, 100, 200),-1,"Traj. angle     : %.1f deg", tangle[bu_st]*180./pi);
   textprintf_ex(screen, font, 1, 120, makecol(255, 100, 200),-1,"AOA             : %.1f deg", pitch-tangle[bu_st]*180./pi);
   textprintf_ex(screen, font, 1, 140, makecol(255, 100, 200),-1,"Acceleration Ox : %.1f m/s", ax[bu_st]);
   textprintf_ex(screen, font, 1, 160, makecol(255, 100, 200),-1,"Acceleration Oz : %.1f m/s", az[bu_st]);
   textprintf_ex(screen, font, 1, 180, makecol(255, 100, 200),-1,"Speed Ox        : %.1f m/s", speedx[bu_st]);
   textprintf_ex(screen, font, 1, 200, makecol(255, 100, 200),-1,"Speed Oz        : %.1f m/s", speedz[bu_st]);
   textprintf_ex(screen, font, 1, 220, makecol(255, 100, 200),-1,"X coordinate    : %.1f m", x[bu_st]);
   textprintf_ex(screen, font, 1, 240, makecol(255, 100, 200),-1,"Y coordinate    : %.1f m", y[bu_st]);
   textprintf_ex(screen, font, 1, 260, makecol(255, 100, 200),-1,"Altitude        : %.1f m", alt[bu_st]);
#endif
   
if (bu_st==(st_nb+1))
{
   for (i=1;i<=st_nb+1;i++)
       if (i!=(bu_st))
       putpixel (screen,(int)(150.*x[i]/21000000./*7000000.*/)+400.,(int)(400.-150.*y[i]/21000000./*7000000.*/), makecol(100, 100, 100));
   for (i=1;i<=st_nb+1;i++)
       if (i==(bu_st))
          putpixel (screen,(int)(150.*x[i]/21000000./*7000000.*/)+400.,(int)(400.-150.*y[i]/21000000./*7000000.*/), makecol(255, 255, 255));
}
else
{
   for (i=1;i<=st_nb+1;i++)
       if (i!=(bu_st))
       putpixel (screen,(int)(300.*x[i]/hmax)+50.,(int)(600.-300.*alt[i]/hmax), makecol(100, 100, 100));
   for (i=1;i<=st_nb+1;i++)
       if (i==(bu_st))
          putpixel (screen,(int)(300.*x[i]/hmax)+50.,(int)(600.-300.*alt[i]/hmax), makecol(255, 255, 255));
};
   // Example of a line
   // line (screen, 0, 300, 0, 600, palette_color[255]);
}  
