// Simulation variable
float t;    // Time
float dt; 	// Time interval (s)
float hmax; // Maximum Height
int tim;    // Real time or not ...
int ct;     // counter

// About the rocket
int st_nb; 	// Number of stages
int bu_st;  // Burning stage

// Stages parameters variables
float ms[10];	// Stage structure mass (kg)
float mc[10];	// Stage propellent mass (kg)
float mbc[10];  // Mass of burned propellent
float isp[10];	// Stage isp (s)
float th[10];	// Stage thrust (N)
float cx[10];	// Stage Cx
float cz[10];	// Stage Cz
float sa[10];	// Stage wing surface (m)
float sr[10];	// Stage reference surface (m)

// main variables
float ax[10];	// Acceleration OX (m/s)
float az[10];	// Acceleration OZ (m/s)
float speedx[10];	// Speed OX (m/s)
float speedz[10];	// Speed OZ (m/s)
float speed[10];	// Speed (m/s)
float x[10];
float y[10];
float g[10];        // Gravitation
float teta[10];         // Gravitation angle
// float l;
float alt[10];	// Altitude (m)
float tangle[10];  // Trajectory angle
float pitch;	// Rocket pitch (deg)
float m;	// Mass (kg)
// float l;	// Distance (m)
float rho[10];  // Air density
