#include <stdio.h>
#include "e_var.h"

void var_init()
{
int i;
int key,time;

	printf(" \n 1) Test the French 'Diamant A' L.V.  \n");
	printf(" \n 2) Design your own L.V.  \n");
	
             scanf ("%d", &key);
   if ((key!=1)&&(key!=2))
      key=1;
   
	printf(" \n 1) Real time  \n");
	printf(" \n 2) instantaneous  \n");
	
             scanf ("%d", &tim);
   if ((tim!=1)&&(tim!=2))
      tim=1;

    // Lift off with the first stage
       bu_st=1;

if (key==1)
{
// Simulation variable
dt=.1; 	// Time interval (s)

// Stages parameters variables
// French "Diamant A" Rocket

st_nb=3; 	// Number of stages

ms[1]=1946.;	// Stage structure mass (kg)
ms[2]=540.;	// Stage structure mass (kg)
ms[3]=68.;	// Stage structure mass (kg)
ms[4]=10.;   // payload

mc[1]=12739.;	// Stage propellent mass (kg)
mc[2]=2275.;	// Stage propellent mass (kg)
mc[3]=635.;	// Stage propellent mass (kg)

isp[1]=230.;	// Stage isp (s)
isp[2]=250.;	// Stage isp (s)
isp[3]=211.;	// Stage isp (s)

th[1]=280000.;	// Stage thrust (N)
th[2]=120000.;	// Stage thrust (N)
th[3]=30000.;	// Stage thrust (N)

cx[1]=1.;	// Stage Cx
cz[1]=0.;	// Stage Cz
cx[2]=1.;	// Stage Cx
cz[2]=0.;	// Stage Cz
cx[3]=.1;	// Stage Cx
cz[3]=0.;	// Stage Cz

sa[1]=0.;	// Stage wing surface (m)
sr[1]=1.41;	// Stage reference surface (m)
sa[2]=0.;	// Stage wing surface (m)
sr[2]=.50;	// Stage reference surface (m)
sa[3]=0.;	// Stage wing surface (m)
sr[3]=.385;	// Stage reference surface (m)
};

if (key==2)

{	printf(" \n Time interval \n");
	scanf ("%f", &dt);
	printf(" \n Max displaying height (m) \n");
	scanf ("%f", &hmax);
	printf(" \n Number of stages ? \n");
	scanf ("%d", &st_nb);

		printf ("\n Payload mass \n",i);
		scanf ("%f", &ms[st_nb+1]);

	// Stage's parameters
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Structure mass of %d th stage \n",i);
		scanf ("%f", &ms[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n propellent mass of %d th stage \n",i);
		scanf ("%f", &mc[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Isp of %d th stage \n",i);
		scanf ("%f", &isp[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Engines thrust of %d th stage \n",i);
		scanf ("%f", &th[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Cx of %d th stage \n",i);
		scanf ("%f", &cx[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Cz of %d th stage \n",i);
		scanf ("%f", &cz[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Wing surface of %d th stage \n",i);
		scanf ("%f", &sa[i]);
		};
	for (i=1; i<=st_nb; i++)
		{
		printf ("\n Reference surface of %d th stage \n",i);
		scanf ("%f", &sr[i]);
    };

	// Inital conditions

	printf(" \n Initial speed X ? (m/s) \n");
	scanf ("%f", &speedx[bu_st]);
	printf(" \n Initial speed Z ? (m/s) \n");
	scanf ("%f", &speedz[bu_st]);
	printf(" \n Initial altitude ? (m) \n");
	scanf ("%f", &alt[bu_st]);
//	printf(" \n Initial pitch ? (deg) \n");
//	scanf ("%f", &pitch);
	
//	printf(" \n Maximum displaying height? (m) \n");
//	scanf ("%f", &hmax);
};
	// Initial mass
    m=0;
    for (i=1; i<=st_nb+1; i++)
        m = m + mc[i] + ms[i];
        
    for (i=1; i<=st_nb+1; i++)
        mbc[i]=0.;

    // Payload datas
        th[st_nb+1]=0.;
        sa[st_nb+1]=0.;
        sr[st_nb+1]=.3;
        cx[st_nb+1]=1.;
        cz[st_nb+1]=0.;
        
    // Time
    t=0;
    
//    l=0.;
    
    // Rocket Initial Pitch
   pitch=90.;
   
   // Trajectory angle
   tangle[bu_st]=pitch;
   
// Initial altitude
alt[bu_st]=0.;

// Counter
ct=0;

// Initial coordinates
x[bu_st]=0.;
y[bu_st]=6378000.;           // Earth radius

// Initial g
g[bu_st]=9.81;

// Maximum displaying height
hmax=200000.;

}
