// Simulation variable
extern float t;    // Time
extern float dt; 	// Time interval (s)
extern float hmax; // Maximum Height
extern int tim;   //real time or not ...
extern int ct;     // counter

// About the rocket
extern int st_nb; 	// Number of stages
extern int bu_st;  // Burning stage

// Stages parameters variables
extern float ms[10];	// Stage structure mass (kg)
extern float mc[10];	// Stage propellent mass (kg)
extern float mbc[10];  // Mass of burned propellent
extern float isp[10];	// Stage isp (s)
extern float th[10];	// Stage thrust (N)
extern float cx[10];	// Stage Cx
extern float cz[10];	// Stage Cz
extern float sa[10];	// Stage wing surface (m)
extern float sr[10];	// Stage reference surface (m)

// main variables
extern float ax[10];	// Acceleration OX (m/s)
extern float az[10];	// Acceleration OZ (m/s)
extern float speedx[10];	// Speed OX (m/s)
extern float speedz[10];	// Speed OZ (m/s)
extern float speed[10];	// Speed (m/s)
extern float x[10];
extern float y[10];
extern float g[10];        // Gravitation
extern float teta[10];         // Gravitation angle
// extern float l[10];
extern float alt[10];	// Altitude (m)
extern float tangle[10];  // Trajectory angle (deg)
extern float pitch;	// Rocket pitch (deg)
extern float m;	// Mass (kg)
// extern float l;	// Distance (m)
extern float rho[10];  // Air density
